MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024843Open CASCADE[OCCT] OCCT:Codingpublic2014-04-16 16:072014-05-05 13:39
Reporterski 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024843: CLang warnings -Wconstant-logical-operand
DescriptionCLang on Mac OS X 10.9 reports multiple warnings -Wconstant-logical-operand which in most cases indicate wrong code:
TopOpeBRepTool_makeTransition.cxx:265:35: warning: use of logical '||' with constant operand [-Wconstant-logical-operand]
TopOpeBRepTool_makeTransition.cxx:272:35: warning: use of logical '||' with constant operand [-Wconstant-logical-operand]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028914)
ski (developer)
2014-04-17 10:16

Warning -Wconstant-logical-operand is fixed.
Changes are located in branch CR24843.
Please, review.
(0028916)
abv (manager)
2014-04-17 10:45

If we stick to the current logic, there is no sense in keeping "if" operators and variables mk1 and mk2 as they will always be true: there are no alternative variants for involved macros.

Looking more in-depth, I deem the code in FUN_mkT2dquad() should be similar to FUN_mkT3dquad(): instead of

< Standard_Boolean mk1 = isINifh1 || isON2ifss || isIN2ifss;

we should have

> Standard_Boolean mke = (mkt==isINifh1) || (mkt==isON2ifss) || (mkt==isIN2ifss);
(0028918)
ski (developer)
2014-04-17 11:12

Remarks were applied.
(0028942)
abv (manager)
2014-04-17 16:44

No remarks, please test
(0028995)
mkv (tester)
2014-04-21 18:34

Dear BugMaster,

Branch CR24843 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 403455e575ba251f4a4034e6607f8efce9456559

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 408 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355691248 / 355845808
Total CPU difference: 67133.51999999976 / 55266.979999999734

Testing on Windows:
Total MEMORY difference: 354190524 / 360646556
Total CPU difference: 39265.515625 / 42617.53125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 9a86ffeb
Timestamp: 2014-04-17 15:16:58
Author: abv
Committer: abv
Details ] Diff ]
0024843: CLang warnings -Wconstant-logical-operand

Logical expression is corrected to take into account input argument
mod - src/TopOpeBRepTool/TopOpeBRepTool_makeTransition.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-16 16:07 ski New Issue
2014-04-16 16:07 ski Assigned To => ski
2014-04-16 16:08 ski Status new => assigned
2014-04-17 10:16 ski Note Added: 0028914
2014-04-17 10:16 ski Assigned To ski => abv
2014-04-17 10:16 ski Status assigned => resolved
2014-04-17 10:45 abv Note Added: 0028916
2014-04-17 10:45 abv Assigned To abv => ski
2014-04-17 10:45 abv Status resolved => assigned
2014-04-17 11:12 ski Note Added: 0028918
2014-04-17 11:12 ski Assigned To ski => abv
2014-04-17 11:12 ski Status assigned => resolved
2014-04-17 16:44 abv Note Added: 0028942
2014-04-17 16:44 abv Assigned To abv => bugmaster
2014-04-17 16:44 abv Status resolved => reviewed
2014-04-18 17:14 mkv Assigned To bugmaster => mkv
2014-04-21 18:34 mkv Note Added: 0028995
2014-04-21 18:35 mkv Test case number => Not needed
2014-04-21 18:35 mkv Assigned To mkv => bugmaster
2014-04-21 18:35 mkv Status reviewed => tested
2014-04-21 18:52 abv Target Version => 6.7.1
2014-04-28 10:27 abv Changeset attached => occt master 9a86ffeb
2014-04-28 10:27 abv Assigned To bugmaster => abv
2014-04-28 10:27 abv Status tested => verified
2014-04-28 10:27 abv Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker